Subject: [bug#76044] Request for merging "qt-team" branch

From: 宋文武 <[email-masked]>
Date: Mon, 10 Feb 2025 09:48:22 +0800

John Kehayias <[email-masked]> writes:

> [...]
> Regarding the freetype upgrade, could you include adding brotli as in
> input and doing away with freetype-with-brotli? This is the original
> discussion on this: <https://issues.guix.gnu.org/64519#4> and the
> commit:
> <https://git.savannah.gnu.org/cgit/guix.git/commit/?id=49b0a5ee5f908d8efa8e792f8635f723fd1d26ed>
>
> It has been a while, but I don't know of any reason why we wouldn't have
> brotli (like other distros I had checked at the time) in freetype.

It turn out to it would have dependency cycle due to python -> tk ->
freetype and brotli -> cmake-minimal -> jsoncpp -> meson -> python ->
freetype..

So I think better do it in another branch, thanks.